Queues - Create Or Update

Creates or updates a Service Bus queue. This operation is idempotent.

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ServiceBus/namespaces/{namespaceName}/queues/{queueName}?api-version=2021-11-01

URI Parameters

Name In Required Type Description
namespaceName
path True
  • string

The namespace name

queueName
path True
  • string

The queue name.

resourceGroupName
path True
  • string

Name of the Resource group within the Azure subscription.

subscriptionId
path True
  • string

Subscription credentials that uniquely identify a Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

api-version
query True
  • string

Client API version.

Request Body

Name Type Description
properties.autoDeleteOnIdle
  • string

ISO 8061 timeSpan idle interval after which the queue is automatically deleted. The minimum duration is 5 minutes.

properties.deadLetteringOnMessageExpiration
  • boolean

A value that indicates whether this queue has dead letter support when a message expires.

properties.defaultMessageTimeToLive
  • string

ISO 8601 default message timespan to live value. This is the duration after which the message expires, starting from when the message is sent to Service Bus. This is the default value used when TimeToLive is not set on a message itself.

properties.duplicateDetectionHistoryTimeWindow
  • string

ISO 8601 timeSpan structure that defines the duration of the duplicate detection history. The default value is 10 minutes.

properties.enableBatchedOperations
  • boolean

Value that indicates whether server-side batched operations are enabled.

properties.enableExpress
  • boolean

A value that indicates whether Express Entities are enabled. An express queue holds a message in memory temporarily before writing it to persistent storage.

properties.enablePartitioning
  • boolean

A value that indicates whether the queue is to be partitioned across multiple message brokers.

properties.forwardDeadLetteredMessagesTo
  • string

Queue/Topic name to forward the Dead Letter message

properties.forwardTo
  • string

Queue/Topic name to forward the messages

properties.lockDuration
  • string

ISO 8601 timespan duration of a peek-lock; that is, the amount of time that the message is locked for other receivers. The maximum value for LockDuration is 5 minutes; the default value is 1 minute.

properties.maxDeliveryCount
  • integer

The maximum delivery count. A message is automatically deadlettered after this number of deliveries. default value is 10.

properties.maxMessageSizeInKilobytes
  • integer

Maximum size (in KB) of the message payload that can be accepted by the queue. This property is only used in Premium today and default is 1024.

properties.maxSizeInMegabytes
  • integer

The maximum size of the queue in megabytes, which is the size of memory allocated for the queue. Default is 1024.

properties.requiresDuplicateDetection
  • boolean

A value indicating if this queue requires duplicate detection.

properties.requiresSession
  • boolean

A value that indicates whether the queue supports the concept of sessions.

properties.status

Enumerates the possible values for the status of a messaging entity.

Responses

Name Type Description
200 OK

Queue successfully created.

Other Status Codes

ServiceBus error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

QueueCreate

Sample Request

PUT https://management.azure.com/subscriptions/5f750a97-50d9-4e36-8081-c9ee4c0210d4/resourceGroups/ArunMonocle/providers/Microsoft.ServiceBus/namespaces/sdk-Namespace-3174/queues/sdk-Queues-5647?api-version=2021-11-01

{
  "properties": {
    "enablePartitioning": true
  }
}

Sample Response

{
  "id": "/subscriptions/5f750a97-50d9-4e36-8081-c9ee4c0210d4/resourceGroups/ArunMonocle/providers/Microsoft.ServiceBus/namespaces/sdk-Namespace-3174/queues/sdk-Queues-5647",
  "name": "sdk-Queues-5647",
  "type": "Microsoft.ServiceBus/Namespaces/Queues",
  "properties": {
    "lockDuration": "PT1M",
    "maxSizeInMegabytes": 163840,
    "maxMessageSizeInKilobytes": 10240,
    "requiresDuplicateDetection": false,
    "requiresSession": false,
    "defaultMessageTimeToLive": "P10675199DT2H48M5.4775807S",
    "duplicateDetectionHistoryTimeWindow": "PT10M",
    "maxDeliveryCount": 10,
    "sizeInBytes": 0,
    "messageCount": 0,
    "status": "Active",
    "autoDeleteOnIdle": "P10675199DT2H48M5.4775807S",
    "enablePartitioning": true,
    "enableExpress": false,
    "createdAt": "2017-05-26T18:07:33.68Z",
    "updatedAt": "2017-05-26T18:07:34.227Z",
    "accessedAt": "2017-05-26T18:07:34.227Z"
  }
}

Definitions

createdByType

The type of identity that created the resource.

EntityStatus

Entity status.

Error

The error object.

ErrorAdditionalInfo

The resource management error additional info.

ErrorResponse

The resource management error response.

MessageCountDetails

Message Count Details.

SBQueue

Description of queue Resource.

systemData

Metadata pertaining to creation and last modification of the resource.

createdByType

The type of identity that created the resource.

Name Type Description
Application
  • string
Key
  • string
ManagedIdentity
  • string
User
  • string

EntityStatus

Entity status.

Name Type Description
Active
  • string
Creating
  • string
Deleting
  • string
Disabled
  • string
ReceiveDisabled
  • string
Renaming
  • string
Restoring
  • string
SendDisabled
  • string
Unknown
  • string

Error

The error object.

Name Type Description
additionalInfo

The error additional info.

code
  • string

The error code.

details

The error details.

message
  • string

The error message.

target
  • string

The error target.

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info
  • object

The additional info.

type
  • string

The additional info type.

ErrorResponse

The resource management error response.

Name Type Description
error

The error object.

MessageCountDetails

Message Count Details.

Name Type Description
activeMessageCount
  • integer

Number of active messages in the queue, topic, or subscription.

deadLetterMessageCount
  • integer

Number of messages that are dead lettered.

scheduledMessageCount
  • integer

Number of scheduled messages.

transferDeadLetterMessageCount
  • integer

Number of messages transferred into dead letters.

transferMessageCount
  • integer

Number of messages transferred to another queue, topic, or subscription.

SBQueue

Description of queue Resource.

Name Type Description
id
  • string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location
  • string

The geo-location where the resource lives

name
  • string

The name of the resource

properties.accessedAt
  • string

Last time a message was sent, or the last time there was a receive request to this queue.

properties.autoDeleteOnIdle
  • string

ISO 8061 timeSpan idle interval after which the queue is automatically deleted. The minimum duration is 5 minutes.

properties.countDetails

Message Count Details.

properties.createdAt
  • string

The exact time the message was created.

properties.deadLetteringOnMessageExpiration
  • boolean

A value that indicates whether this queue has dead letter support when a message expires.

properties.defaultMessageTimeToLive
  • string

ISO 8601 default message timespan to live value. This is the duration after which the message expires, starting from when the message is sent to Service Bus. This is the default value used when TimeToLive is not set on a message itself.

properties.duplicateDetectionHistoryTimeWindow
  • string

ISO 8601 timeSpan structure that defines the duration of the duplicate detection history. The default value is 10 minutes.

properties.enableBatchedOperations
  • boolean

Value that indicates whether server-side batched operations are enabled.

properties.enableExpress
  • boolean

A value that indicates whether Express Entities are enabled. An express queue holds a message in memory temporarily before writing it to persistent storage.

properties.enablePartitioning
  • boolean

A value that indicates whether the queue is to be partitioned across multiple message brokers.

properties.forwardDeadLetteredMessagesTo
  • string

Queue/Topic name to forward the Dead Letter message

properties.forwardTo
  • string

Queue/Topic name to forward the messages

properties.lockDuration
  • string

ISO 8601 timespan duration of a peek-lock; that is, the amount of time that the message is locked for other receivers. The maximum value for LockDuration is 5 minutes; the default value is 1 minute.

properties.maxDeliveryCount
  • integer

The maximum delivery count. A message is automatically deadlettered after this number of deliveries. default value is 10.

properties.maxMessageSizeInKilobytes
  • integer

Maximum size (in KB) of the message payload that can be accepted by the queue. This property is only used in Premium today and default is 1024.

properties.maxSizeInMegabytes
  • integer

The maximum size of the queue in megabytes, which is the size of memory allocated for the queue. Default is 1024.

properties.messageCount
  • integer

The number of messages in the queue.

properties.requiresDuplicateDetection
  • boolean

A value indicating if this queue requires duplicate detection.

properties.requiresSession
  • boolean

A value that indicates whether the queue supports the concept of sessions.

properties.sizeInBytes
  • integer

The size of the queue, in bytes.

properties.status

Enumerates the possible values for the status of a messaging entity.

properties.updatedAt
  • string

The exact time the message was updated.

systemData

The system meta data relating to this resource.

type
  • string

The type of the resource. E.g. "Microsoft.EventHub/Namespaces" or "Microsoft.EventHub/Namespaces/EventHubs"

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt
  • string

The timestamp of resource creation (UTC).

createdBy
  • string

The identity that created the resource.

createdByType

The type of identity that created the resource.

lastModifiedAt
  • string

The type of identity that last modified the resource.

lastModifiedBy
  • string

The identity that last modified the resource.

lastModifiedByType

The type of identity that last modified the resource.